Package org.silverpeas.components.gallery.model

# Enum Class MediaCriteria.QUERY_ORDER_BY

java.lang.Object
java.lang.Enum<MediaCriteria.QUERY_ORDER_BY>
org.silverpeas.components.gallery.model.MediaCriteria.QUERY_ORDER_BY

All Implemented Interfaces:
  `Serializable`, `Comparable<MediaCriteria.QUERY_ORDER_BY>`, `Constable`

Enclosing class:
  MediaCriteria

public static enum MediaCriteria.QUERY_ORDER_BY extends Enum<MediaCriteria.QUERY_ORDER_BY>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUTHOR_ASC`
  `AUTHOR_ASC_EMPTY_END`
  `AUTHOR_DESC`
  `AUTHOR_DESC_EMPTY_END`
  `COMPONENT_INSTANCE_ASC`
  `COMPONENT_INSTANCE_DESC`
  `CREATE_DATE_ASC`
  `CREATE_DATE_DESC`
  `DIMENSION_ASC`
  `DIMENSION_DESC`
  `IDENTIFIER_ASC`
  `IDENTIFIER_DESC`
  `LAST_UPDATE_DATE_ASC`
  `LAST_UPDATE_DATE_DESC`
  `SIZE_ASC`
  `SIZE_DESC`
  `TITLE_ASC`
  `TITLE_DESC`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MediaCriteria.QUERY_ORDER_BY`
  `fromPropertyName(String property, String sort)`
  `String`
  `getInstructionBase()`
  `boolean`
  `isApplicableOnSQLQuery()`
  `boolean`
  `isAsc()`
  `static MediaCriteria.QUERY_ORDER_BY`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MediaCriteria.QUERY_ORDER_BY[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SIZE_ASC

    public static final MediaCriteria.QUERY_ORDER_BY SIZE_ASC

  - ### SIZE_DESC

    public static final MediaCriteria.QUERY_ORDER_BY SIZE_DESC

  - ### DIMENSION_ASC

    public static final MediaCriteria.QUERY_ORDER_BY DIMENSION_ASC

  - ### DIMENSION_DESC

    public static final MediaCriteria.QUERY_ORDER_BY DIMENSION_DESC

  - ### COMPONENT_INSTANCE_ASC

    public static final MediaCriteria.QUERY_ORDER_BY COMPONENT_INSTANCE_ASC

  - ### COMPONENT_INSTANCE_DESC

    public static final MediaCriteria.QUERY_ORDER_BY COMPONENT_INSTANCE_DESC

  - ### IDENTIFIER_ASC

    public static final MediaCriteria.QUERY_ORDER_BY IDENTIFIER_ASC

  - ### IDENTIFIER_DESC

    public static final MediaCriteria.QUERY_ORDER_BY IDENTIFIER_DESC

  - ### CREATE_DATE_ASC

    public static final MediaCriteria.QUERY_ORDER_BY CREATE_DATE_ASC

  - ### CREATE_DATE_DESC

    public static final MediaCriteria.QUERY_ORDER_BY CREATE_DATE_DESC

  - ### LAST_UPDATE_DATE_ASC

    public static final MediaCriteria.QUERY_ORDER_BY LAST_UPDATE_DATE_ASC

  - ### LAST_UPDATE_DATE_DESC

    public static final MediaCriteria.QUERY_ORDER_BY LAST_UPDATE_DATE_DESC

  - ### TITLE_ASC

    public static final MediaCriteria.QUERY_ORDER_BY TITLE_ASC

  - ### TITLE_DESC

    public static final MediaCriteria.QUERY_ORDER_BY TITLE_DESC

  - ### AUTHOR_ASC_EMPTY_END

    public static final MediaCriteria.QUERY_ORDER_BY AUTHOR_ASC_EMPTY_END

  - ### AUTHOR_DESC_EMPTY_END

    public static final MediaCriteria.QUERY_ORDER_BY AUTHOR_DESC_EMPTY_END

  - ### AUTHOR_ASC

    public static final MediaCriteria.QUERY_ORDER_BY AUTHOR_ASC

  - ### AUTHOR_DESC

    public static final MediaCriteria.QUERY_ORDER_BY AUTHOR_DESC

- ## Method Details

  - ### values

    public static MediaCriteria.QUERY_ORDER_BY[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MediaCriteria.QUERY_ORDER_BY valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### fromPropertyName

    public static MediaCriteria.QUERY_ORDER_BY fromPropertyName(String property, String sort)

  - ### isApplicableOnSQLQuery

    public boolean isApplicableOnSQLQuery()

  - ### getInstructionBase

    public String getInstructionBase()

  - ### isAsc

    public boolean isAsc()